## qtbase-opensource-src 5.3.0+dfsg

=== debian/changelog ===
qtbase-opensource-src (5.3.0+dfsg-2ubuntu9) 14.09; urgency=medium

  * Don-t-always-chmod-the-XDG_RUNTIME_DIR.patch
    Report-the-system-error-on-why-chmod-2-failed-in-XDG.patch:
    - Cherry-pick two fixes so that apps don't incorrectly chmod
      (LP: #1359831)

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Fri, 03 Oct 2014 08:02:30 +0000

qtbase-opensource-src (5.3.0+dfsg-2ubuntu8) utopic; urgency=medium

  * Update arm64, powerpc and ppc64el symbols

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Mon, 29 Sep 2014 04:07:58 +0000

qtbase-opensource-src (5.3.0+dfsg-2ubuntu7) utopic; urgency=medium

  * Fix-crash-in-QNetworkAccessCacheBackend-closeDownstr.patch:
    - Cherry-pick a fix from upstream (LP: #1371472)
  * enable-tests.patch: skip an additional test that has started failing 
    even on no-change rebuild 
  * Update symbols (gcc 4.9)

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Wed, 24 Sep 2014 13:22:20 +0000

qtbase-opensource-src (5.3.0+dfsg-2ubuntu6) utopic; urgency=medium

  * Fix crash on dbus shutdown

 -- Albert Astals Cid <albert.astals@canonical.com>  Tue, 01 Jul 2014 13:00:56 +0200

qtbase-opensource-src (5.3.0+dfsg-2ubuntu5) utopic; urgency=medium

  * libqt5gui5.symbols: updating symbols when building for armhf (when
    OpenGLES is used by default)

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Thu, 19 Jun 2014 19:10:38 -0300

qtbase-opensource-src (5.3.0+dfsg-2ubuntu4) utopic; urgency=medium

  * Update symbols

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Thu, 19 Jun 2014 05:24:51 +0000

qtbase-opensource-src (5.3.0+dfsg-2ubuntu3) utopic; urgency=medium

  * Modify makeshlibs again, just use default behavior.

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Wed, 18 Jun 2014 06:16:06 +0000

qtbase-opensource-src (5.3.0+dfsg-2ubuntu2) utopic; urgency=medium

  * Modify override_dh_makeshlibs back to what is needed for -gles packages
  * Make libqt5gui5.symbols more compatible with -gles packages

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Wed, 18 Jun 2014 05:16:59 +0000

qtbase-opensource-src (5.3.0+dfsg-2ubuntu1) utopic; urgency=medium

  * New upstream release
  * Remove patches merged upstream:
    - debian/patches/0001-Do-not-overwrite-basePixmap-of-QIconLoader-PixmapEnt.patch
    - debian/patches/Add_better_support_for_keymap_update_handling.patch
    - debian/patches/Fix-access-after-delete-with-Harfbuzz-NG-code-path.patch
    - debian/patches/Fix-log_clusters-calculation-in-HarfBuzz-NG-code-pat.patch
    - debian/patches/HarfBuzz-NG-Hide-characters-that-should-normally-be-.patch
    - debian/patches/Minor-optimization-for-QTextEngine-shapeText.patch
    - debian/patches/Use-None-instead-of-GLX_NONE.patch
    - debian/patches/When-looking-up-the-window-hierarchy-stop-at-foreign.patch
    - debian/patches/change_sparc_qatomic.patch
    - debian/patches/enable_s390_detection.patch
    - debian/patches/fix_power_atomic_code.patch
    - debian/patches/make_qkdetheme_constructor_public.diff
    - debian/patches/platformtheme_env.diff
    - debian/patches/qdoc-Fix-crash-in-Generator-generateInnerNode.patch
  * Build with GStreamer 1.0
  * debian/patches/revert_upstream_bsymbolic_change.patch:
    - Revert upstream change since we have fixed binutils
  * Move include files to multi-arch dir following Debian's lead
  * debian/patches/enable-tests.patch:
    - Refresh the patch to apply
    - Skip a handful of tests that fail, will need to be re-enabled later
  * Sync with Debian, keeping the existing delta where applicable
  * Reverse the test enabling logic and support nocheck option
  * debian/patches/Add-virtual-function-to-QFontEngine-report-if-outlin.patch
    debian/patches/Fix-FT-glyph-outline-to-path-conversion.patch
    Fix_crash_in_QOpenGLTextureallocateStorage.patch:
    - Backport three patches from stable branch

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Thu, 05 Jun 2014 04:28:02 +0000

qtbase-opensource-src (5.3.0+dfsg-3) UNRELEASED; urgency=medium

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Search for private symbols at build time and produce a diff so as to be
    able to get the changes from build logs.
    - Modify mark_private_symbols.sh.
    - Run mark_private_symbols.sh from debian/rules.
  * Do not override dh_builddeb: xz compression is now the default method.
  * Backport Remove-Wcast-align-from-QMAKE_CXXFLAGS.patch. This totally
    disables -Wcast-align (Closes: #744311).
    - Remove do_not_pass_wcast-align_on_sparc.patch, it s now not needed
      anymore.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Thu, 22 May 2014 00:31:54 -0300

qtbase-opensource-src (5.3.0+dfsg-2) experimental; urgency=medium

  * Add revert_upstream_bsymbolic_change.patch by Timo Jyrinki which reenables
    -Bsymbolic-functions on non-x86 since Debian has a recent enough binutils.
  * Mark private symbols as such.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Tue, 20 May 2014 16:20:35 -0300

qtbase-opensource-src (5.3.0+dfsg-1) experimental; urgency=medium

  [ Timo Jyrinki ]
  * Make qt5-qmake Multi-Arch: same since it moved from shipping files in
    /usr/share to /usr/lib/<triplet>.

  [ Dmitry Shachnev ]
  * Build-depend on libxkbcommon-x11-dev, as the new patch includes
    <xkbcommon/xkbcommon-x11.h>.
  * Add arm64 to no_pch_architectures.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * New upstream release.
    - Fixes CVE-2014-0190.
  * Install the headers in a Multi-Arch qualified directory (Closes: #734677).
    - Fix related install files.
    - Mark qtbase5-dev, qtbase5-private-dev and libqt5opengl5-dev
      as Multi-Arch: same.
  * Override Lintian warning about torrent.qdoc being under an RFC license,
    it's just a false positive coming from the fact that the documentation is
    listing the license, but it's really not licensed under the RFC license.
  * Update symbols files with buildds' and current logs.
  * Refresh patches:
    - hurd_opengl_incldir.diff


=== debian/control ===
Source: qtbase-opensource-src
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Fathi Boudra <fabo@debian.org>,
           Modestas Vainius <modax@debian.org>,
           Sune Vuorela <debian@pusling.com>,
           Pino Toscano <pino@debian.org>,
           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
           Timo Jyrinki <timo@debian.org>,
           Dmitry Shachnev <mitya57@gmail.com>
Build-Depends: debhelper (>= 9),
               dpkg-dev (>= 1.16.1),
               freetds-dev,
               gdb [!ppc64el],
               libasound2-dev [linux-any],
               libatspi2.0-dev,
               libcups2-dev,
               libdbus-1-dev,
               libfontconfig1-dev,
               libfreetype6-dev,
               libgbm-dev [linux-any],
               libgl1-mesa-dev | libgl-dev,
               libgles2-mesa-dev [linux-any] | libgles2-dev [linux-any],
               libglib2.0-dev,
               libglu1-mesa-dev | libglu-dev,
               libgstreamer-plugins-base1.0-dev,
               libgstreamer1.0-dev,
               libgtk2.0-dev,
               libharfbuzz-dev,
               libicu-dev,
               libjpeg-dev,
               libmysqlclient-dev,
               libopenvg1-mesa-dev [amd64 armel armhf i386 powerpc kfreebsd-any],
               libpng-dev,
               libpq-dev,
               libpulse-dev,
               libsqlite3-dev,
               libssl-dev,
               libudev-dev [linux-any],
               libx11-dev,
               libx11-xcb-dev,
               libxcb-icccm4-dev,
               libxcb-image0-dev,
               libxcb-keysyms1-dev,
               libxcb-randr0-dev,
               libxcb-render-util0-dev,
               libxcb-render0-dev,
               libxcb-shape0-dev,
               libxcb-shm0-dev,
               libxcb-sync-dev,
               libxcb-xfixes0-dev,
               libxcb-xkb-dev,
               libxcb1-dev,
               libxi-dev,
               libxkbcommon-dev,
               libxkbcommon-x11-dev,
               libxrender-dev,
               pkg-kde-tools (>= 0.14.2),
               unixodbc-dev,
               xvfb,
               zlib1g-dev
Standards-Version: 3.9.5
Homepage: http://qt-project.org/
Vcs-Git: git://anonscm.debian.org/pkg-kde/qt/qtbase.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/qt/qtbase.git;a=summary
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/qtbase-opensource-src

Package: libqt5core5a
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Provides: qtbase-abi-5-3-0
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: libthai0
Breaks: libqt5core5 (<< 5.2.0+dfsg~)
Replaces: libqt5core5 (<< 5.2.0+dfsg~)
Description: Qt 5 core module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The QtCore module contains core non-GUI functionality.

Package: libqt5gui5
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: fontconfig, ${misc:Depends}, ${shlibs:Depends}
Description: Qt 5 GUI module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The QtGui module extends QtCore with GUI functionality.

Package: libqt5network5
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 5 network module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The QtNetwork module offers classes that allow you to write TCP/IP clients and
 servers. It provides classes to make network programming easier and portable.

Package: libqt5opengl5
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 5 OpenGL module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The QtOpenGL module offers classes that make it easy to use OpenGL in Qt
 applications.
 .
 OpenGL is a standard API for rendering 3D graphics. OpenGL only deals with 3D
 rendering and provides little or no support for GUI programming issues.

Package: libqt5sql5
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: libqt5sql5-sqlite | libqt5sql5-mysql | libqt5sql5-odbc | libqt5sql5-psql
Description: Qt 5 SQL module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The QtSql module helps you provide seamless database integration to your Qt
 applications.

Package: libqt5sql5-mysql
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 5 MySQL database driver
 This package contains the MySQL plugin for Qt 5.
 .
 Install it if you intend to use or write Qt programs that are to access a
 MySQL DB.

Package: libqt5sql5-odbc
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 5 ODBC database driver
 This package contains the ODBC plugin for Qt 5.
 .
 Install it if you intend to use or write Qt programs that are to access an
 ODBC DB.

Package: libqt5sql5-psql
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 5 PostgreSQL database driver
 This package contains the PostgreSQL plugin for Qt 5.
 .
 Install it if you intend to use or write Qt programs that are to access a
 PostgreSQL DB.

Package: libqt5sql5-sqlite
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 5 SQLite 3 database driver
 This package contains the SQLite 3 plugin for Qt 5.
 .
 Install it if you intend to use or write Qt programs that are to access an
 SQLite 3 DB.

Package: libqt5sql5-tds
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 5 FreeTDS database driver
 This package contains the FreeTDS plugin for Qt 5.
 .
 Install it if you intend to use or write Qt programs that are to access a
 MS SQL or Sybase SQL server.

Package: libqt5xml5
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 5 XML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The QtXml module provides a stream reader and writer for XML documents,
 and C++ implementations of SAX and DOM.

Package: libqt5dbus5
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 5 D-Bus module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The QtDBus module is a Unix-only library that you can use to make Inter-Process
 Communication using the D-Bus protocol.
 .
 Applications using the QtDBus module can provide services to other, remote
 applications by exporting objects, as well as use services exported by those
 applications by placing calls and accessing properties.

Package: libqt5test5
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 5 test module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The QtTest module provides classes for unit testing Qt applications and
 libraries.

Package: libqt5concurrent5
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 5 concurrent module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The QtConcurrent module contains functionality to support concurrent execution
 of program code.

Package: libqt5widgets5
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 5 widgets module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The QtWidgets module extends QtGui with C++ widget functionality.

Package: libqt5printsupport5
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: libcups2
Description: Qt 5 print support module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The QtPrintSupport module provides classes to make printing easier and
 portable.

Package: qtbase5-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libgl1-mesa-dev [!armel !armhf] | libgl-dev [!armel !armhf],
         libgles2-mesa-dev | libgles2-dev,
         libglu1-mesa-dev [!armel !armhf] | libglu-dev [!armel !armhf],
         libqt5concurrent5 (= ${binary:Version}),
         libqt5core5a (= ${binary:Version}),
         libqt5dbus5 (= ${binary:Version}),
         libqt5gui5 (= ${binary:Version}),
         libqt5network5 (= ${binary:Version}),
         libqt5printsupport5 (= ${binary:Version}),
         libqt5sql5 (= ${binary:Version}),
         libqt5test5 (= ${binary:Version}),
         libqt5widgets5 (= ${binary:Version}),
         libqt5xml5 (= ${binary:Version}),
         qt5-qmake (= ${binary:Version}),
         qtbase5-dev-tools (= ${binary:Version}),
         qtchooser,
         ${misc:Depends}
Recommends: libqt5opengl5-dev (= ${binary:Version})
Suggests: libmysqlclient-dev,
          libpq-dev,
          libsqlite3-dev,
          unixodbc-dev
Description: Qt 5 base development files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the header development files used for building Qt 5
 applications.

Package: qtbase5-private-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: qtbase5-dev (= ${binary:Version}), ${misc:Depends}
Breaks: qtbase5-dev (<< 5.0.2+dfsg1-3~)
Replaces: qtbase5-dev (<< 5.0.2+dfsg1-3~)
Description: Qt 5 base private development files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the private header development files for building some
 Qt 5 applications like Qt Creator QML Designer plugin.
 .
 Use at your own risk.

Package: libqt5opengl5-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libqt5opengl5 (= ${binary:Version}),
         qtbase5-dev (= ${binary:Version}),
         ${misc:Depends}
Description: Qt 5 OpenGL library development files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the development files needed to build Qt 5 applications
 using QtOpenGL library.

Package: qtbase5-dev-tools
Architecture: any
Multi-Arch: foreign
Section: devel
#Depends: qtchooser, ${misc:Depends}, ${perl:Depends}, ${shlibs:Depends}
Depends: qtchooser, ${misc:Depends}, ${shlibs:Depends}
Description: Qt 5 base development programs
 Qt is a cross-platform C++ application framework. Qt's primary feature

## qtbase-opensource-src 5.3.1+dfsg

=== debian/changelog ===
qtbase-opensource-src (5.3.1+dfsg-3) unstable; urgency=medium

  * Improve NEWS wording.
  * Add cmake_dont_check_existence_of_gl_filesin_qt5gui.patch to avoid Qt GUI
    requiring libegl1-mesa-dev (Closes: #752847).
  * Update symbols files with buildds' and mips64el's logs.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Fri, 04 Jul 2014 23:35:18 -0300

qtbase-opensource-src (5.3.1+dfsg-2) unstable; urgency=medium

  * Enable using system network proxies by default.
    - Add NEWS file with this information.
  * Make qtbase5-dev suggest libegl1-mesa-dev and libgl1-mesa-dev, as they
    might be needed by those using EGL.
  * Bump qtbase-abi to 5-3-1. Sune found that there is a runtime check that
    forces us to do a transition for private symbols even on point releases
    without symbols changes (Closes: #752889).
  * Update symbols files with buildds' and mips64el's logs.
  * Add multitouch protocol translation support.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Fri, 27 Jun 2014 19:52:42 -0300

qtbase-opensource-src (5.3.1+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Update symbols files with buildds' and current logs.
  * Clear the list of archs that should not use pre compiled headers. We've
    been told that with GCC 4.9 this should not be necessary anymore.
  * Remove link to a favicon in a dead url, part of an example.
    The Trolltech site is down and so there is no possible privacy breach in
    it, so just removing the link should suffice.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Thu, 26 Jun 2014 00:31:45 -0300

qtbase-opensource-src (5.3.0+dfsg-5) unstable; urgency=medium

  * Remove enable_sparc_detection.patch. This is causing a FTBFS in sparc now.
    I've contacted upstream to know the best way to go from here, in the
    meantime we just don't detect it.
  * Update symbols files with buildds' and current logs.
  * Install only the last (and more relevant) changelog. We were trying (and
    failing) to install all of them, but only the first one would end up as
    changelog. As the listing order varies between archs, the final changelog
    will also be different between them, thus not allowing the package to be
    really Multi-Arch: same. Thanks Jakub Wilk for the bug report.
    (Closes: #750730).

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sat, 07 Jun 2014 18:29:34 -0300

qtbase-opensource-src (5.3.0+dfsg-4) unstable; urgency=medium

  * Upload to unstable.
  * Update symbols files with buildds' logs.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Thu, 05 Jun 2014 13:02:04 -0300

qtbase-opensource-src (5.3.0+dfsg-3) experimental; urgency=medium

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Search for private symbols at build time and produce a diff so as to be
    able to get the changes from build logs.
    - Modify mark_private_symbols.sh.
    - Run mark_private_symbols.sh from debian/rules.
  * Do not override dh_builddeb: xz compression is now the default method.
  * Backport Remove-Wcast-align-from-QMAKE_CXXFLAGS.patch. This totally
    disables -Wcast-align (Closes: #744311).
    - Remove do_not_pass_wcast-align_on_sparc.patch, it s now not needed
      anymore.
  * Update symbols files with buildds' logs.

  [ Peter Michael Green ]
  * arm64 changes cherry picked from ubuntu (Closes: #750047).
    + Add arm64 to list of 64-bit architectures that should not use -m64
  * Remove .device.vars and .qmake.vars in clean target.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Mon, 02 Jun 2014 14:21:16 -0300

qtbase-opensource-src (5.2.1+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Remove sha3_64bit_BE.diff, uname_include.diff and
    fix_crash_stale_pointer_dereferencing.patch, applied upstream.
  * Update symbols files with buildd's logs.
  * Do not install any CMake file for any plugin.
  * The egl/kms plugins have been built on amd64 too. Move them to the linux
    install files and see what happens with other archs.
  * Remove private headers no longer installed.
  * QtCore's QNoImplicitBoolCast header is no longer installed. It only had an
    include to qtglobal.h in it and no public symbols are missing.
  * Update symbols files with current build log. All missing symbols where
    private. Private symbols where [re]marked in symbols files.
  * Bump qtbase-abi to qtbase-abi-5-2-1 due to private symbols changes.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sat, 08 Feb 2014 11:21:04 -0300

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: qtbase-opensource-src
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Fathi Boudra <fabo@debian.org>,
            Modestas Vainius <modax@debian.org>,
            Sune Vuorela <debian@pusling.com>,
@@ -12,8 +11,9 @@
            Dmitry Shachnev <mitya57@gmail.com>
 Build-Depends: debhelper (>= 9),
                dpkg-dev (>= 1.16.1),
+               firebird-dev [amd64 armel i386 ia64 kfreebsd-amd64 kfreebsd-i386 mips mipsel powerpc s390 sh4 sparc],
                freetds-dev,
-               gdb [!ppc64el],
+               gdb,
                libasound2-dev [linux-any],
                libatspi2.0-dev,
                libcups2-dev,
@@ -25,14 +25,15 @@
                libgles2-mesa-dev [linux-any] | libgles2-dev [linux-any],
                libglib2.0-dev,
                libglu1-mesa-dev | libglu-dev,
-               libgstreamer-plugins-base1.0-dev,
-               libgstreamer1.0-dev,
+               libgstreamer-plugins-base0.10-dev,
+               libgstreamer0.10-dev,
                libgtk2.0-dev,
                libharfbuzz-dev,
                libicu-dev,
                libjpeg-dev,
+               libmtdev-dev [linux-any],
                libmysqlclient-dev,
-               libopenvg1-mesa-dev [amd64 armel armhf i386 powerpc kfreebsd-any],
+               libopenvg1-mesa-dev [!hurd-any],
                libpng-dev,
                libpq-dev,
                libpulse-dev,
@@ -59,19 +60,17 @@
                libxrender-dev,
                pkg-kde-tools (>= 0.14.2),
                unixodbc-dev,
-               xvfb,
                zlib1g-dev
 Standards-Version: 3.9.5
 Homepage: http://qt-project.org/
 Vcs-Git: git://anonscm.debian.org/pkg-kde/qt/qtbase.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/qt/qtbase.git;a=summary
-Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/qtbase-opensource-src
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/qt/qtbase.git
 
 Package: libqt5core5a
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
-Provides: qtbase-abi-5-3-0
+Provides: qtbase-abi-5-3-1
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Suggests: libthai0
 Breaks: libqt5core5 (<< 5.2.0+dfsg~)
@@ -125,7 +124,7 @@
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Recommends: libqt5sql5-sqlite | libqt5sql5-mysql | libqt5sql5-odbc | libqt5sql5-psql
+Recommends: libqt5sql5-sqlite | libqt5sql5-mysql | libqt5sql5-odbc | libqt5sql5-psql | libqt5sql5-ibase [amd64 armel i386 ia64 kfreebsd-amd64 kfreebsd-i386 mips mipsel powerpc s390 sh4 sparc]
 Description: Qt 5 SQL module
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
@@ -269,7 +268,7 @@
 Multi-Arch: same
 Section: libdevel
 Depends: libgl1-mesa-dev [!armel !armhf] | libgl-dev [!armel !armhf],
-         libgles2-mesa-dev | libgles2-dev,
+         libgles2-mesa-dev [armel armhf] | libgles2-dev [armel armhf],
          libglu1-mesa-dev [!armel !armhf] | libglu-dev [!armel !armhf],
          libqt5concurrent5 (= ${binary:Version}),
          libqt5core5a (= ${binary:Version}),
@@ -286,7 +285,10 @@
          qtchooser,
          ${misc:Depends}
 Recommends: libqt5opengl5-dev (= ${binary:Version})
-Suggests: libmysqlclient-dev,
+Suggests: firebird-dev,
+          libegl1-mesa-dev,
+          libgl1-mesa-dev,
+          libmysqlclient-dev,
           libpq-dev,
           libsqlite3-dev,
           unixodbc-dev
@@ -331,7 +333,5 @@
 Architecture: any
 Multi-Arch: foreign
 Section: devel
-#Depends: qtchooser, ${misc:Depends}, ${perl:Depends}, ${shlibs:Depends}
-Depends: qtchooser, ${misc:Depends}, ${shlibs:Depends}
+Depends: qtchooser, ${misc:Depends}, ${perl:Depends}, ${shlibs:Depends}
 Description: Qt 5 base development programs
- Qt is a cross-platform C++ application framework. Qt's primary feature

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
DEB_HOST_ARCH_BITS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_BITS)

export PATH := $(PATH):$(shell pwd)/bin
export CFLAGS := $(shell dpkg-buildflags --get CFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)
export CXXFLAGS := $(shell dpkg-buildflags --get CXXFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)
export LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS) -Wl,--as-needed

# Library package list for override_dh_makeshlibs, excludes -dev -dbg
pkgs_lib := $(filter-out %-dev %-dbg,$(filter lib%,$(shell dh_listpackages)))
# Upstream changelog
upstream_changes := dist/changes-$(shell dpkg-parsechangelog | sed -n 's/^Version: //p' | cut -f1 -d '-' | sed -e 's/+dfsg//')
# Current debian version (e.g.: 4:4.5.2-1)
current_version := $(shell dpkg-parsechangelog | sed -n 's/^Version: //p')
# Specific shlibs version (e.g.: 4:4.5.2)
shlibs_version := $(shell dpkg-parsechangelog | sed -n 's/^Version: //p' | cut -f1 -d '-')
# Distribution vendor
vendor := $(shell dpkg-vendor --query Vendor)

# To easier the files installation according OSes and archs, we create three
# kinds of install files: foo.install-common, foo.install-$DEB_HOST_ARCH and
# foo.install-$DEB_HOST_ARCH_OS. In this case we can fine-tune what we install.
#
# Note that if any foo.install-* file exists and foo.install exist too, the
# later will get overwritten.
#
# I've opened a bug in debhelper to allow this:
# http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=703201

# Retrieve packages that have a .install-common file
pkgs_with_common = $(patsubst debian/%.install-common,%,$(wildcard debian/*.install-common))
# Retrieve packages that have a .install-$DEB_HOST_ARCH file
pkgs_with_arch = $(patsubst debian/%.install-$(DEB_HOST_ARCH),%,$(wildcard debian/*.install-$(DEB_HOST_ARCH)))
# Retrieve packages that have a .install-$DEB_HOST_ARCH_OS file
pkgs_with_os = $(patsubst debian/%.install-$(DEB_HOST_ARCH_OS),%,$(wildcard debian/*.install-$(DEB_HOST_ARCH_OS)))


ifneq (,$(filter %-sql-ibase,$(shell dh_listpackages)))
	extra_configure_opts += -plugin-sql-ibase
else
	extra_configure_opts += -no-sql-ibase
endif

no_pch_architectures := none
ifeq ($(DEB_HOST_ARCH),$(findstring $(DEB_HOST_ARCH), $(no_pch_architectures)))
	extra_configure_opts += -no-pch
endif

gles2_architectures := armel armhf
ifeq ($(DEB_HOST_ARCH),$(findstring $(DEB_HOST_ARCH), $(gles2_architectures)))
	extra_configure_opts += -opengl es2
else
	extra_configure_opts += -opengl desktop
endif

ifneq ($(DEB_HOST_ARCH_OS),linux)
	extra_configure_opts += -no-eglfs
endif

ifeq ($(DEB_HOST_ARCH_OS),linux)
  ifneq (,$(filter $(DEB_HOST_ARCH),alpha ia64 mips64 mips64el arm64))
	platform_arg = linux-g++
  else ifeq ($(DEB_HOST_ARCH_BITS),64)
	platform_arg = linux-g++-64
  else
	platform_arg = linux-g++
  endif
else ifeq ($(DEB_HOST_ARCH_OS),hurd)
	platform_arg = hurd-g++
else ifeq ($(DEB_HOST_ARCH_OS),kfreebsd)
	platform_arg = gnukfreebsd-g++
else
	$(error Unknown qmake mkspec for $(DEB_HOST_ARCH_OS))
endif

%:
	dh $@ --parallel --with pkgkde_symbolshelper

override_dh_auto_configure:
	./configure -confirm-license \
	            -prefix "/usr" \
	            -bindir "/usr/lib/$(DEB_HOST_MULTIARCH)/qt5/bin" \
	            -libdir "/usr/lib/$(DEB_HOST_MULTIARCH)" \
	            -docdir "/usr/share/qt5/doc" \
	            -headerdir "/usr/include/$(DEB_HOST_MULTIARCH)/qt5" \
	            -datadir "/usr/share/qt5" \
	            -archdatadir "/usr/lib/$(DEB_HOST_MULTIARCH)/qt5" \
	            -hostdatadir "/usr/share/qt5" \
	            -plugindir "/usr/lib/$(DEB_HOST_MULTIARCH)/qt5/plugins" \
	            -importdir "/usr/lib/$(DEB_HOST_MULTIARCH)/qt5/imports" \
	            -translationdir "/usr/share/qt5/translations" \
	            -hostdatadir "/usr/lib/$(DEB_HOST_MULTIARCH)/qt5" \
	            -sysconfdir "/etc/xdg" \
	            -examplesdir "/usr/lib/$(DEB_HOST_MULTIARCH)/qt5/examples" \
	            -opensource \
	            -plugin-sql-mysql \
	            -plugin-sql-odbc \
	            -plugin-sql-psql \
	            -plugin-sql-sqlite \
	            -no-sql-sqlite2 \
	            -plugin-sql-tds \
	            -system-sqlite \
	            -platform $(platform_arg) \
	            -system-harfbuzz \
	            -system-zlib \
	            -system-libpng \
	            -system-libjpeg \
	            -system-proxies \
	            -openssl \
	            -no-rpath \
	            -verbose \
	            -optimized-qmake \
	            -dbus-linked \
	            -reduce-relocations \
		    -no-strip \
	            -no-separate-debug-info \
	            -qpa xcb \
	            -xcb \
	            -glib \
	            -icu \
	            -accessibility \
	            -compile-examples \
	            -no-directfb \
	            $(extra_configure_opts)

override_dh_auto_clean:
	[ ! -f Makefile ] || $(MAKE) confclean distclean

	# Extra stuff missed by confclean/distclean

	# Misc. files
	rm -f \
	  config.status \
	  config.tests/.qmake.cache \
	  examples/dbus/*/Makefile.* \
	  mkspecs/qconfig.pri \
	  src/corelib/global/qconfig.* \
	;

	# Misc. directories
	rm -rf \
	  doc-build/ \
	  doc/html/ \
	  doc/qch/ \
	  examples/tools/plugandpaint/plugins/ \
	  examples/tools/styleplugin/styles/ \
	  lib/ \
	  plugins/ \
	;

	# Leftover dirs
	find -depth -type d \( -false \
	  -o -name debug-shared \
	  -o -name debug-static \
	  -o -name \*.gch \
	  -o -name .moc\* \
	  -o -name .obj\* \
	  -o -name .pch \
	  -o -name pkgconfig \
	  -o -name .rcc \
	  -o -name release-shared \
	  -o -name release-static \
	  -o -name .uic \
	\) -print0 | xargs -0 rm -rf

	# Leftover files and all symlinks
	find \( -false \
	  -o -name \*.a \
	  -o -name Makefile.Debug \
	  -o -name Makefile.Release \
	  -o -name \*.o \
	  -o -name \*.prl \
	  -o -name \*.so \
	  -o -name \*.so.debug \
	  -o -type l \
	\) -print0 | xargs -0 rm -rf

	# Delete all Makefiles, excluding some from src/3rdparty
	find $(CURDIR) -name Makefile \
	  ! -path $(CURDIR)/src/3rdparty/Makefile \
	  ! -path $(CURDIR)/src/3rdparty/freetype/\* \
	  ! -path $(CURDIR)/src/3rdparty/zlib/\* \
	  ! -path $(CURDIR)/src/3rdparty/ptmalloc/Makefile \
	-print0 | xargs -0 rm -rf

	# Any remaining executables
	find $(CURDIR) -type f -perm /u+x,g+x,o+x -exec file -i '{}' \; \
	| grep -e application/x-executable \
	| cut -d ':' -f 1 | xargs rm -f

	# Generated on build
	rm -f debian/shlibs.local
	rm -f debian/stamp-makefile-build-tools

	# more leftovers
	rm -f .device.vars .qmake.vars

ifeq ($(vendor),Ubuntu)
	rm -rf po
endif

override_dh_auto_build-indep:
	cd $(CURDIR)/src; ../bin/qmake; make sub-qdoc
	cd $(CURDIR)/src/corelib; ../../bin/qmake
	cd $(CURDIR)/src/xml; ../../bin/qmake
	dh_auto_build -Smakefile -- html_docs

override_dh_auto_install-arch:
	dh_auto_install -Smakefile -- INSTALL_ROOT=$(CURDIR)/debian/tmp/

	# Fix wrong path in pkgconfig files
	find $(CURDIR)/debian/tmp/usr/lib/*/pkgconfig -type f -name '*.pc' \
		-exec perl -pi -e "s, -L$(CURDIR)/?\S+,,g" {} \;

	# Add a configuration for qtchooser
	mkdir -p $(CURDIR)/debian/tmp/usr/share/qtchooser
	echo "/usr/lib/$(DEB_HOST_MULTIARCH)/qt5/bin" > $(CURDIR)/debian/tmp/usr/share/qtchooser/qt5-$(DEB_HOST_MULTIARCH).conf
	echo "/usr/lib/$(DEB_HOST_MULTIARCH)" >> $(CURDIR)/debian/tmp/usr/share/qtchooser/qt5-$(DEB_HOST_MULTIARCH).conf

	# Ship 5.conf and qt5.conf for this arch, and a default.conf.
	# 5.conf makes calling qtchooser prettier.
	mkdir -p $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/qtchooser
	ln -s /usr/share/qtchooser/qt5-$(DEB_HOST_MULTIARCH).conf $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/qtchooser/5.conf
	ln -s /usr/share/qtchooser/qt5-$(DEB_HOST_MULTIARCH).conf $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/qtchooser/qt5.conf

## qtbase-opensource-src 5.3.2%2Bdfsg

=== tests/auto/cmake/test_umbrella_config/CMakeLists.txt ===

cmake_minimum_required(VERSION 2.8)

project(test_umbrella_config)

add_subdirectory(components_found)

if (Qt5_FOUND)
    message(SEND_ERROR "Qt5_FOUND variable leaked!")
endif()

if (Qt5Core_FOUND)
    message(SEND_ERROR "Qt5Core_FOUND variable leaked!")
endif()

if (TARGET Qt5::Core)
    message(SEND_ERROR "Qt5::Core target leaked!")
endif()

add_subdirectory(components_not_found)

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
            Pino Toscano <pino@debian.org>,
            Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
            Timo Jyrinki <timo@debian.org>,
-           Dmitry Shachnev <mitya57@gmail.com>
+           Dmitry Shachnev <mitya57@debian.org>
 Build-Depends: debhelper (>= 9),
                dpkg-dev (>= 1.16.1),
                firebird-dev [amd64 armel i386 ia64 kfreebsd-amd64 kfreebsd-i386 mips mipsel powerpc s390 sh4 sparc],
@@ -25,8 +25,6 @@
                libgles2-mesa-dev [linux-any] | libgles2-dev [linux-any],
                libglib2.0-dev,
                libglu1-mesa-dev | libglu-dev,
-               libgstreamer-plugins-base0.10-dev,
-               libgstreamer0.10-dev,
                libgtk2.0-dev,
                libharfbuzz-dev,
                libicu-dev,
@@ -54,6 +52,7 @@
                libxcb-xfixes0-dev,
                libxcb-xkb-dev,
                libxcb1-dev,
+               libxext-dev,
                libxi-dev,
                libxkbcommon-dev,
                libxkbcommon-x11-dev,
@@ -61,17 +60,19 @@
                pkg-kde-tools (>= 0.14.2),
                unixodbc-dev,
                zlib1g-dev
+Build-Conflicts: libmariadbclient-dev
 Standards-Version: 3.9.5
 Homepage: http://qt-project.org/
 Vcs-Git: git://anonscm.debian.org/pkg-kde/qt/qtbase.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/qt/qtbase.git
+Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/qt/qtbase.git
 
 Package: libqt5core5a
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
-Provides: qtbase-abi-5-3-1
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Provides: qtbase-abi-5-3-2
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Recommends: qttranslations5-l10n
 Suggests: libthai0
 Breaks: libqt5core5 (<< 5.2.0+dfsg~)
 Replaces: libqt5core5 (<< 5.2.0+dfsg~)
@@ -280,6 +281,7 @@
          libqt5test5 (= ${binary:Version}),
          libqt5widgets5 (= ${binary:Version}),
          libqt5xml5 (= ${binary:Version}),
+         libxext-dev,
          qt5-qmake (= ${binary:Version}),
          qtbase5-dev-tools (= ${binary:Version}),
          qtchooser,
@@ -304,8 +306,8 @@
 Multi-Arch: same
 Section: libdevel
 Depends: qtbase5-dev (= ${binary:Version}), ${misc:Depends}
-Breaks: qtbase5-dev (<< 5.0.2+dfsg1-3~)
-Replaces: qtbase5-dev (<< 5.0.2+dfsg1-3~)
+Breaks: qtbase5-dev (<< 5.3.2+dfsg-4~)
+Replaces: qtbase5-dev (<< 5.3.2+dfsg-4~)
 Description: Qt 5 base private development files
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
@@ -334,4 +336,3 @@
 Multi-Arch: foreign
 Section: devel
 Depends: qtchooser, ${misc:Depends}, ${perl:Depends}, ${shlibs:Depends}
-Description: Qt 5 base development programs
